> For the complete documentation index, see [llms.txt](https://docs.ozone.one/in-product-guides/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ozone.one/in-product-guides/hashicorp-vault.md).

# Hashicorp Vault

Permissions:&#x20;

* Vault URL
* Vault Engine Name
* Vault Token (For non-expiring static token)
  * Token
* Vault AppRole (For time-bound dynamic token)
  * Vault Namespace
  * Vault Role ID
  * Vault Secret ID<br>

To get Vault Role ID and Secret ID on Hashicorp Cloud Dedicated Vault

<pre class="language-bash"><code class="lang-bash">
<strong>export VAULT_ADDR="&#x3C;VAULT-TOKEN>"; export VAULT_NAMESPACE="&#x3C;VAULT-NAMESPACE>"
</strong>
export VAULT_TOKEN="&#x3C;VAULT_TOKEN>"

vault auth enable approle

vault write auth/approle/role/ozone-access \
    secret_id_ttl=0 \
    token_ttl=20m \
    token_max_ttl=30m

vault read auth/approle/role/ozone-access/ozone-access

vault write -f auth/approle/role/ozone-access/secret-id

vault write auth/approle/login role_id="&#x3C;role-id>" secret_id="&#x3C;secret-id>"

<strong># Create a my-policy.hcl file for ozone-secret-store Vault Engine
</strong># my-policy.hcl
path "ozone-secret-store/data/*" {
  capabilities = ["create", "read", "update", "delete", "list"]
}

vault policy write my-policy my-policy.hcl


vault write auth/approle/role/ozone-access token_policies="ozone-secret-store"
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ozone.one/in-product-guides/hashicorp-vault.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
